## org.hibernate.metamodel.binding
Class BasicCollectionElement

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractCollectionElement
          org.hibernate.metamodel.binding.BasicCollectionElement

    public class BasicCollectionElement

extends AbstractCollectionElement

Constructor Summary
`BasicCollectionElement(AbstractPluralAttributeBinding binding)`

Method Summary
`CollectionElementNature` `getCollectionElementNature()`
`HibernateTypeDescriptor` `getHibernateTypeDescriptor()`

Methods inherited from class org.hibernate.metamodel.binding.AbstractCollectionElement
`getCollectionBinding, getElementValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicCollectionElement

    public BasicCollectionElement(AbstractPluralAttributeBinding binding)

Method Detail

### getCollectionElementNature

    public CollectionElementNature getCollectionElementNature()

  Specified by:
    `getCollectionElementNature` in class `AbstractCollectionElement`

### getHibernateTypeDescriptor

    public HibernateTypeDescriptor getHibernateTypeDescriptor()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.